Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`web`.`iweb`.`IRenderable``

interface documentation

`class IRenderable(Interface): (source)`

Known implementations: `twisted.web.template.Element`

View In Hierarchy

An `IRenderable` is an object that may be rendered by the `twisted.web.template` templating system.

Method | `lookupRenderMethod` | Look up and return the render method associated with the given name.
Method | `render` | Get the document for this `IRenderable`.

def lookupRenderMethod(name: `str`) -> `Callable[[Optional[IRequest], Tag], Flattenable]`: (source)

Look up and return the render method associated with the given name.

Parameters
name:`str` | The value of a render directive encountered in the document returned by a call to `IRenderable.render`.
Returns
`Callable[[Optional[IRequest], Tag], Flattenable]` | A two-argument callable which will be invoked with the request being responded to and the tag object on which the render directive was encountered.

def render(request: `Optional[IRequest]`) -> `Flattenable`: (source)

Get the document for this `IRenderable`.

Parameters
request:`Optional[IRequest]` | The request in response to which this method is being invoked.
Returns
`Flattenable` | An object which can be flattened.